<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html xmlns="http://www.w3.org/TR/REC-html40"> 
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>fwAccessControl_ServerConsole.pnl 
panel</title>
<link rel="StyleSheet" HREF="style.css" TYPE="text/css" MEDIA="screen,print">
</head>
<body>
<table width="95%" border="1"><tbody>
<tr vAlign="top">
<td width="22%" bgColor="#00cc00"><strong>Panel Name</strong></td>
<td width="78%" colSpan="2">fwAccessControl/fwAccessControl_ServerConsole.pnl</td>
</tr>
<tr vAlign="top">
<td bgColor="#00cc00"><strong>Introduction<br></strong></td>
<td colSpan="2">
<p>Access Control Server Console</p>
<p> 
    <p>
    This panel displays allows to monitor (and manage) client systems from the Access Control Server.<br>
    <em>Warning: this panel is not yet completed. It will be improved in the next releases of the component</em><br>
    The panel is presented in Figure 1.
    <div xmlns:html="http://www.w3.org/1999/xhtml" class="figure"><table align="center">
<tr><td><img src="fwAccessControl_ServerConsole.png"></td></tr>
<tr><td><span class="caption">Figure 1: The Server Console panel</span></td></tr>
</table></div>
    </p>
    <p>The panel consists of the following elements:
	<ul>
	    <li> The indicator of the name of the machine on which this panel is running 
		(<em>"ACServer:"</em> in Figure 1)</li>
	    <li> The indicator of the connection status (green "OK" in Figure 1)</li>
	    <li> The table containing the list of all systems in the distributed system.
		The first column indicates system number, the second: system name, the third
		shows the current setting of the <em>AC Server</em> on that system,
		and the last: indicates whether the system is currently being managed by the server.
	    </li>
	</ul>
	Right-clicking on the table brings up a context menu. If clicked on the system
	machine corresponding to the server itself, the context menu will be such as the one
	in Figure 2:
	<div xmlns:html="http://www.w3.org/1999/xhtml" class="figure"><table align="center">
<tr><td><img src="fwAccessControl_ServerConsole_ctxmenuServer.png"></td></tr>
<tr><td><span class="caption">Figure 2: Context menu for the server</span></td></tr>
</table></div>
	Otherwise, for client machines, the menu presented in Figure 3 will pop up; the top line indicates that
	the line for which the menu was displayed corresponds to the AC Server.
	<div xmlns:html="http://www.w3.org/1999/xhtml" class="figure"><table align="center">
<tr><td><img src="fwAccessControl_ServerConsole_ctxmenuClient.png"></td></tr>
<tr><td><span class="caption">Figure 3: Context menu for a client</span></td></tr>
</table></div>
	Selecting the <span class="selbutton">Set AC Server</span> option in client's context menu,
	brings up the sub-menu presented in Figure 4. The top line indicates the name of the client system for
	which the context menu was displayed.
	<div xmlns:html="http://www.w3.org/1999/xhtml" class="figure"><table align="center">
<tr><td><img src="fwAccessControl_ServerConsole_ctxmenuSetACS.png"></td></tr>
<tr><td><span class="caption">Figure 3: "Set AC Server" sub-menu of the context menu</span></td></tr>
</table></div>
	
    </p>
    </p>
<br>
</td>
</tr>
<tr vAlign="top">
<td bgColor="#00cc00"><strong>Instructions</strong></td>
<td colSpan="2"><dl>
<dt xmlns:html="http://www.w3.org/1999/xhtml">To refresh the display:</dt>
<dd xmlns:html="http://www.w3.org/1999/xhtml"> Press the <span class="button">Refresh</span> button</dd>
<dt xmlns:html="http://www.w3.org/1999/xhtml">To make a client be managed by this server:</dt>
<dd xmlns:html="http://www.w3.org/1999/xhtml">
    Right-click on the line corresponding to the client, then select the
	<span class="button">Set AC Server&gt;Adopt</span> in the context menu.
	After a few moments 
	its status in the <em>Managed</em> column should go to "YES".
    </dd>
<dt xmlns:html="http://www.w3.org/1999/xhtml">To make a client not being managed by this server:</dt>
<dd xmlns:html="http://www.w3.org/1999/xhtml">
    Right-click on the line corresponding to the client, then select the
	<span class="button">Set AC Server&gt;Release</span> in the context menu.
    </dd>
<dt xmlns:html="http://www.w3.org/1999/xhtml">To set a custom AC Server for a client:</dt>
<dd xmlns:html="http://www.w3.org/1999/xhtml">
    Right-click on the line corresponding to the client, then select the
	<span class="button">Set AC Server&gt;Custom</span> in the context menu,
	then type in the system name (including colon ":" character at the end),
	on which the other server is running.
    </dd>
<dt xmlns:html="http://www.w3.org/1999/xhtml">To force the synchronization of AC Data on a client:</dt>
<dd xmlns:html="http://www.w3.org/1999/xhtml">
	Make sure that the client is managed by this server (the <em>Managed</em> column
	indicates "YES". Right click on the client and
	Use the <span class="button">Force sync host</span> option in the context menu.
    </dd>
<dt xmlns:html="http://www.w3.org/1999/xhtml">To force the synchronization of AC Data to all managed clients:</dt>
<dd xmlns:html="http://www.w3.org/1999/xhtml">
	Use the <span class="button">Force sync all</span> option in the context menu.
    </dd>
</dl></td>
</tr>
<tr vAlign="top">
<td bgColor="#00cc00"><strong>Restrictions</strong></td>
<td colSpan="2"><ul><li xmlns:html="http://www.w3.org/1999/xhtml">The panel should only be used on the machine on which the Access Control Server is running.
    </li></ul></td>
</tr>
</tbody></table>
<br>

<br><a href="../../fwAccessControl.htm">
Back to the documentation of the
	    fwAccessControl
component.
	    </a> <br xmlns:html="http://www.w3.org/1999/xhtml"><hr xmlns:html="http://www.w3.org/1999/xhtml">
<font xmlns:html="http://www.w3.org/1999/xhtml" size="-1"> Piotr Golonka, <a href="http://cern.ch/itcobe">CERN IT/CO-BE</a></font>
</body></html>
